1

Following these steps from this question, I've managed to discover my scanner over the network with scanimage -L but I'm still getting an error with scanimage -T:

[sanei_debug] Setting debug level of pixma to 5.
[pixma] pixma is compiled with pthread support.
[pixma] pixma version 0.17.24
[pixma] Scanner model found: Name MX920(Canon PIXMA MX920 Series) matches MX920 series
[pixma] pixma_collect_devices() found Canon PIXMA MX920 Series at bjnp://10.0.0.5:8612
[pixma] pixma_find_scanners() found 1 devices
[pixma] Scanner model found: Name MX920(Canon PIXMA MX920 Series) matches MX920 series
[pixma] pixma_collect_devices() found Canon PIXMA MX920 Series at bjnp://10.0.0.5:8612
[pixma] pixma_open(): Canon PIXMA MX920 Series
[pixma] *mp150_open***** This is a generation 4 scanner.  *****
[pixma] Reader task started
[pixma] Reader task id=139912999573248 (threaded)
scanimage: scanning image of size 638x877 pixels at 24 bits/pixel
scanimage: acquiring RGB frame, 8 bits/sample
scanimage: reading one scanline, 1914 bytes...  [bjnp] bjnp_open_tcp: ERROR - Can not connect to scanner: Connection refused
[pixma] Reader task terminated: EINVAL
[pixma] read_image():reader task closed the pipe:0 bytes received, 1678578 bytes expected
FAIL Error: Invalid argument
[pixma] pixma_close(): Canon PIXMA MX920 Series

[bjnp] bjnp_open_tcp: ERROR - Can not connect to scanner: Connection refused

Same with the firewall desactivated or sudo

$ dpkg -l | grep sane
ii  libsane:amd64                                               1.0.26~git20151121-1                       amd64        API library for scanners
ii  libsane-common                                              1.0.26~git20151121-1                       all          API library for scanners -- documentation and support files
ii  libsane-hpaio                                               3.15.7-0ubuntu4                            amd64        HP SANE backend for multi-function peripherals
ii  sane                                                        1.0.14-11                                  amd64        scanner graphical frontends
ii  sane-utils                                                  1.0.26~git20151121-1                       amd64        API library for scanners -- utilities
rc  xsane                                                       0.998-6ubuntu1                             amd64        featureful graphical frontend for SANE (Scanner Access Now Easy)
ii  xsane-common                                                0.998-6ubuntu1                             all          featureful graphical frontend for SANE (Scanner Access Now Easy)

uname gives:

Linux 4.2.0-27-generic x86_64 GNU/Linux

One more precision, I have two others Laptop on Kubuntu 14.04 32bits and 64bits. The 32bits works and the 64bits don't.

UPDATE 1 : Update libsane with the git ppa

ii  libsane:amd64                                               1.0.26-git20160214-wily0                   amd64        API library for scanners
ii  libsane-common                                              1.0.26-git20160214-wily0                   amd64        API library for scanners -- documentation and support files
ii  libsane-hpaio                                               3.15.7-0ubuntu4                            amd64        HP SANE backend for multi-function peripherals
ii  sane                                                        1.0.14-11                                  amd64        scanner graphical frontends
ii  sane-utils                                                  1.0.26-git20160214-wily0                   amd64        API library for scanners -- utilities
rc  xsane                                                       0.998-6ubuntu1                             amd64        featureful graphical frontend for SANE (Scanner Access Now Easy)
ii  xsane-common                                                0.998-6ubuntu1                             all          featureful graphical frontend for SANE (Scanner Access Now Easy)

Still the same error. scangear is working of course because it's not using libsane but I want to use the Java librairie jfreesane.

UPDATE 2 : Last maj of the git ppa is working

A standard MAJ of the system made thaht the librairies work as usual.

Thanks for your help/time

0

Consider installing the daily SANE ppa. That gained 90% functionality of our Canon multipurpose device. The only thing that isn't functional is the sheet feeder, and that works with Canon's bare-bones scangearmp2. Can you find that latter program for your scanner?

|improve this answer|||||
  • This solved my trouble, but there is a disclaimer: «17. Sep 2016: The PPA cannot compile SANE's sources anymore. 1.0.26-git20160712 is the last running package.» – Rutrus Oct 20 '16 at 17:25
  • I am sorry to hear that! Thanks for the information. I am glad it helped you. – Organic Marble Oct 20 '16 at 17:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.